
Redmine - Defect #4552

Issue Summary tables that list by user are not sorted

2010-01-12 07:04 - Ewan Makepeace

Status: Closed Start date: 2010-01-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.1   

Resolution: Fixed Affected version: 0.9.0

Description

I frequently use the Issue Summary page - for example see this one:

http://www.redmine.org/projects/redmine/issues/report

The Assigned To and Author tables categorise issues for different people on the project, but dont seem to be sorted by either first or

last name.

As the number of people who have ever worked on a project grows, so this list gets harder and harder to use - I find myself scanning

up and down looking for a particular name.

Please could we sort alphabetically?

 sort.jpg 

Associated revisions

Revision 3323 - 2010-01-17 12:07 - Jean-Philippe Lang

Fixed: Issue Summary tables that list by user are not sorted (#4552).

History

#1 - 2010-01-12 10:00 - Felix Schäfer

I don't think it should be too hard to get sorted according to a particular key (I'd wager it's the id of the db entry at the moment), but if we're at it, it

shouldn't be too much of a stretch to make it sortable by any of the columns, as it is currently the case in the issue list?

#2 - 2010-01-17 12:04 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.1

- Affected version (unused) set to 0.9.0

- Resolution set to Fixed

- Affected version set to 0.9.0

Fixed in r3323.

Felix Schäfer wrote:

I don't think it should be too hard to get sorted according to a particular key (I'd wager it's the id of the db entry at the moment), but if we're at it, it

shouldn't be too much of a stretch to make it sortable by any of the columns, as it is currently the case in the issue list?

 It would be a harder to make the issue summary tables sortable by any column.

It's out of the scope of this bug fix. Maybe a feature request.
